<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.tofly</groupId>
		<artifactId>tf-ylsw</artifactId>
		<version>1.0.0</version>
	</parent>
	<artifactId>ylsw-gis</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>ylsw-gis</name>
	<description>project for ylswGis</description>
	<dependencies>
		<!--		这个是短信替换哪里用到了的-->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-text</artifactId>
			<version>1.8</version>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>mis-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>admin-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-hystrix</artifactId>
			<version>2.1.3.RELEASE</version>
			<exclusions>
				<exclusion>
					<artifactId>bcpkix-jdk15on</artifactId>
					<groupId>org.bouncycastle</groupId>
				</exclusion>
				<exclusion>
					<artifactId>HdrHistogram</artifactId>
					<groupId>org.hdrhistogram</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>common-ftp</artifactId>
			<version>1.0.0</version>
			<exclusions>
				<exclusion>
					<artifactId>spring-cloud-starter-netflix-hystrix</artifactId>
					<groupId>org.springframework.cloud</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>common-es</artifactId>
			<version>1.0.0</version>
			<exclusions>
				<exclusion>
					<groupId>com.baomidou</groupId>
					<artifactId>mybatis-plus-core</artifactId>
				</exclusion>
				<exclusion>
					<groupId>com.baomidou</groupId>
					<artifactId>mybatis-plus-extension</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>fastjson</artifactId>
					<groupId>com.alibaba</groupId>
				</exclusion>
				<exclusion>
					<artifactId>HdrHistogram</artifactId>
					<groupId>org.hdrhistogram</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-cloud-starter-netflix-hystrix</artifactId>
					<groupId>org.springframework.cloud</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
			<version>3.3.2</version>
		</dependency>
		<dependency>
			<groupId>com.haiqiu.tools</groupId>
			<artifactId>hq-all-tools</artifactId>
			<version>1.1</version>
		</dependency>
		<!-- 海康对接maven -->
		<dependency>
			<groupId>com.hikvision.ga</groupId>
			<artifactId>artemis-http-client</artifactId>
			<version>1.1.3</version>
		</dependency>
	</dependencies>


	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
